Bug 52998 - FILESAVE: Comments disappear when save as XLS
Summary: FILESAVE: Comments disappear when save as XLS
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Master old -3.6
Hardware: All All
: high critical
Assignee: Noel Power
QA Contact:
URL:
Whiteboard: target:3.7.0 target:3.6.1
Keywords: regression
: 52999 53107 53672 53982 55015 (view as bug list)
Depends on:
Blocks: mab3.6 49924
  Show dependency treegraph
 
Reported: 2012-07-31 11:33 UTC by Korrawit Pruegsanusak
Modified: 2013-03-15 11:11 UTC (History)
9 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Korrawit Pruegsanusak 2012-07-31 11:33:32 UTC
Problem: Comments disappear when save as XLS

Steps:
1. New Spreadsheet
2. Insert comment(s)
3. Save as .XLS
4. Close file and open with LibO again
5. See that comment(s) disappear

You may use attachment 63500 [details] to skip to step 3. This file contains comments in cells A1, D4, G7.

Status NEW due to bug 49924.

Markus, could you please have a look here? Thanks!
Comment 1 Noel Power 2012-08-02 09:23:15 UTC
*** Bug 52999 has been marked as a duplicate of this bug. ***
Comment 2 Noel Power 2012-08-02 09:24:02 UTC
taking this
Comment 3 Rainer Bielefeld Retired 2012-08-02 09:28:05 UTC
[Reproducible] with Server Installation of  "LibreOffice 3.6.0.4 rc  German UI/Locale [Build-ID:  932b512] on German WIN7 Home Premium (64bit) 

Still  [Reproducible] with parallel installation of Master "LOdev " 3.7.0.0.alpha0+   - WIN7 Home Premium (64bit) ENGLISH UI [Build ID: 66e4540]" (tinderbox:Win-x86@6, pull time 2012-07-26 02:09:47)

Already [Reproducible] with Server Installation of  "LibreOffice 3.6.0beta1  German UI/Locale [Build-ID: 1f1cdd8] on German WIN7 Home Premium (64bit) 

Still was ok with
- Server installation of Master "LOdev 3.6.0alpha0+  – WIN7 Home Premium (64bit) ENGLISH UI [Build ID: a502549]" (tinderbox: Win-x86@6-fast, pull time 2012-05-31 07:33:55)
- Server installation of  Master "LOdev 3.6.0alpha0+  – WIN7 Home Premium (64bit) ENGLISH UI [Build ID: 475d0c5-829fc92-39746e8-206648e-fefd87]" (2012-02-14)
Comment 4 Not Assigned 2012-08-03 08:10:42 UTC
Noel Power committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f9a453fb01908e16032abdbf1f895666e1d260a6

Revert "fix fdo#52998 xls(x) comment export problems"
Comment 5 Not Assigned 2012-08-03 08:11:00 UTC
Noel Power committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=00f1a3ed8ec17b8274a7bf3ee8f5d394a8a16bab

new fix for fdo#52998
Comment 6 Not Assigned 2012-08-03 11:01:59 UTC
Noel Power committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a59370800d91d7fd150a914341d5ad1ede6e072d&g=libreoffice-3-6

new fix for fdo#52998


It will be available in LibreOffice 3.6.1.
Comment 7 Korrawit Pruegsanusak 2012-08-04 11:26:22 UTC
Verified on WinXP with 
- build from Win-x86_9-Voreppe, branch libreoffice-3-6, pull time 2012-08-03 12:36:28, core:a59370800d91d7fd150a914341d5ad1ede6e072d
- build from W2008R2@16-minimal_build, branch master, pull time 2012-08-03 23:16:18, core:51802df73230d08fe13bba58936da810100cc4d1

- Saving from a newly created file
- "Save as" from unmodified file
- Saving from a modified file
to format ods, xls, and xlsx, are all fixed. Thanks Noel!
Comment 8 Jean-Baptiste Faure 2012-08-04 18:24:46 UTC
*** Bug 53107 has been marked as a duplicate of this bug. ***
Comment 9 bfoman (inactive) 2012-08-24 06:42:55 UTC
*** Bug 53982 has been marked as a duplicate of this bug. ***
Comment 10 bfoman (inactive) 2012-08-24 06:43:37 UTC
*** Bug 53672 has been marked as a duplicate of this bug. ***
Comment 11 NoJoy 2012-08-27 21:36:19 UTC
Thank you, for fixing this problem, and others. Comments are now successfully restored after SAVE AS .XLS and Spell Check also works.

Excellent. Excellent. Great Job.
Comment 12 bfoman (inactive) 2013-03-15 11:11:24 UTC
*** Bug 55015 has been marked as a duplicate of this bug. ***